package com.pj.tb_goods_units;

import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author Mechrevo
 * @Date 2023 07 21 17 30
 **/
@Service
@Transactional(rollbackFor = Exception.class)
public class MethodGoodsUnitsService {
    
    @Autowired
    private TbGoodsUnitsMapper tbGoodsUnitsMapper;

    /**
     * 方法抽取  导入
     * @param row
     * @param sheet
     * @param count
     * @return
     */
    public int importMethod(HSSFRow row, HSSFSheet sheet, int count){

        for (int i = 1; i < sheet.getPhysicalNumberOfRows(); i++) {
            //封装数据到行对象
            row = sheet.getRow(i);
            //定义返回值实体
            TbGoodsUnits tbGoodsUnits = new TbGoodsUnits();
            //解析数据
            if(row.getCell(1) != null)
                tbGoodsUnits.setUnitsNo(row.getCell(1).getStringCellValue());

            if(row.getCell(1) != null)
                tbGoodsUnits.setUnits(row.getCell(2).getStringCellValue());


//            //公共字段
//            HSSFCell cell2 = row.getCell(4);
//            if (cell2 != null && cell2.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell2)) {
//                tbGoodsUnits.setCreateTime(cell2.getDateCellValue());
//            }
//
//            if(row.getCell(5) != null && !row.getCell(5).toString().trim().equals(""))
//                tbGoodsUnits.setCreateBy(row.getCell(5).getStringCellValue());
//
//            if(row.getCell(6) != null && !row.getCell(6).toString().trim().equals(""))
//                tbGoodsUnits.setCreateName(row.getCell(6).getStringCellValue());
//
//            if(row.getCell(7) != null && !row.getCell(7).toString().trim().equals(""))
//                tbGoodsUnits.setUpdateBy(row.getCell(7).getStringCellValue());
//
//            if(row.getCell(8) != null && !row.getCell(8).toString().trim().equals(""))
//                tbGoodsUnits.setUpdateName(row.getCell(8).getStringCellValue());
//
//            HSSFCell cell3 = row.getCell(9);
//            if (cell3 != null && cell3.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell3)) {
//                tbGoodsUnits.setUpdateTime(row.getCell(9).getDateCellValue());
//            }
//            //删除状态,默认可用
//            tbGoodsUnits.setDeleteStatus(1);
//			//添加到集合
//			list.add(tbGoodsUnits);
            int insert = tbGoodsUnitsMapper.insert(tbGoodsUnits);
            count += insert;
        }
        return count;
    }
}
